summaryrefslogtreecommitdiffstats
path: root/tests/set-rpath.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2005-09-30 23:59:40 (GMT)
committerEelco Dolstra <e.dolstra@tudelft.nl>2005-09-30 23:59:40 (GMT)
commit2369d8b2def0775b0666350fd266bdc0abb07b0d (patch)
tree363548878e4e56e2cb1c0e8dcfbd30b164a8760a /tests/set-rpath.sh
parent58ec67927fb649a8325c016f04e050d17f787d66 (diff)
downloadpatchelf-2369d8b2def0775b0666350fd266bdc0abb07b0d.zip
patchelf-2369d8b2def0775b0666350fd266bdc0abb07b0d.tar.gz
patchelf-2369d8b2def0775b0666350fd266bdc0abb07b0d.tar.bz2
* Handle `--set-rpath' for the growing case.
Diffstat (limited to 'tests/set-rpath.sh')
-rwxr-xr-xtests/set-rpath.sh15
1 files changed, 12 insertions, 3 deletions
diff --git a/tests/set-rpath.sh b/tests/set-rpath.sh
index 6446395..cbe1006 100755
--- a/tests/set-rpath.sh
+++ b/tests/set-rpath.sh
@@ -9,11 +9,20 @@ cp main scratch/
cp libfoo.so scratch/libsA/
cp libbar.so scratch/libsB/
-../src/patchelf --set-rpath $(pwd)/scratch/libsA scratch/main
-../src/patchelf --set-rpath $(pwd)/scratch/libsB scratch/libsA/libfoo.so
+oldRPath=$(../src/patchelf --print-rpath scratch/main)
+if test -z "$oldRPath"; then oldRPath="/oops"; fi
+../src/patchelf --set-rpath $oldRPath:$(pwd)/scratch/libsA:$(pwd)/scratch/libsB scratch/main
+
+#oldRPath=$(../src/patchelf --print-rpath scratch/libsA/libfoo.so)
+#if test -z "$oldRPath"; then oldRPath="/oops"; fi
+#../src/patchelf --set-rpath $oldRPath:$(pwd)/scratch/libsB scratch/libsA/libfoo.so
+
+#oldRPath=$(../src/patchelf --print-rpath scratch/libsB/libbar.so)
+#if test -z "$oldRPath"; then oldRPath="/oops"; fi
+#../src/patchelf --set-rpath $oldRPath:$(pwd)/scratch/libsC scratch/libsB/libbar.so
exitCode=0
-scratch/main || exitCode=$?
+cd scratch && ./main || exitCode=$?
if test "$exitCode" != 46; then
echo "bad exit code!"